/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.smx.components.attachments;

import javax.jbi.JBIException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.servicemix.components.util.TransformComponentSupport;

public abstract class AttachmentTransformComponentSupport extends TransformComponentSupport {
	
	private static final Log log = LogFactory.getLog(AttachmentsToMessageContent.class);
	
	private String base64attachmentElementName = null;

	public String getBase64attachmentElementName() {
		return base64attachmentElementName;
	}

	public void setBase64attachmentElementName(String base64XPathNodes) {
		this.base64attachmentElementName = base64XPathNodes;
	}

	public void start() throws JBIException {
		
		setCopyProperties(true);
		setCopyAttachments(false);
		if ((base64attachmentElementName == null) || base64attachmentElementName.trim().length() <= 0){
			base64attachmentElementName = "spagic:BASE64-ATTACHMENT";
			log.info("base64attachmentElementName property not specified set to BASE64-ATTACHMENT ");
		}

	}
}
